// PatchOperation.h: interface for the CPatchOperation class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PATCHOPERATION_H__98354F37_9816_47D3_B577_AD4F2CD8E807__INCLUDED_)
#define AFX_PATCHOPERATION_H__98354F37_9816_47D3_B577_AD4F2CD8E807__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPatchOperation  
{
protected:
public:
	CPatchOperation *Next;
	DWORD Location,Size;
	CPatchOperation();
	virtual DWORD InsertedBytes();
	virtual DWORD DeletedBytes();
	DWORD OpCount();
	virtual CString GetOpText() {return "";}
	virtual ~CPatchOperation();

};

#endif // !defined(AFX_PATCHOPERATION_H__98354F37_9816_47D3_B577_AD4F2CD8E807__INCLUDED_)
